• Post Reply
  • Bookmark Topic Watch Topic
  • New Topic

is jdk 1.4.2 out of date for SCJD?

 
Kevin Mc Cusker
Greenhorn
Posts: 21
  • Mark post as helpful
  • send pies
  • Quote
  • Report post to moderator
Hi all,
Im about to submit and was wondering what was the latest jdk we can say we used in our version.txt.

I developed my project using 1.4.2 but this has been replaced for over 18 months now, right?

If thats the case I'll just test against 1.5 or 1.6 and put that into version.txt.

wish me luck!!
 
Erkin Kanlioglu
Greenhorn
Posts: 20
  • Mark post as helpful
  • send pies
  • Quote
  • Report post to moderator
Hi Kevin

I think, you should give it a go at least with 1.5. Compile with it and check deprecated methods and remove them from your program.

I'm not sure what you should do about warning regarding generics. If you have time remove them as well. (Not sure it will be necessary)

good luck with your examiner and automated test ....
 
  • Post Reply
  • Bookmark Topic Watch Topic
  • New Topic